Get a watch
One watch of your watchlist. A deleted watch, or one merged into another, returns 404.
Authorization
apiKey X-API-KEY<token>
Value for the X-API-KEY header parameter.
In: header
Path Parameters
id*string
Watch identifier
Response Body
curl -X GET "https://example.com/watchlist/3fa85f64-5717-4562-b3fc-2c963f66afa6"{ "propertyId": "0198f5c4-3b0a-7c1e-9d2f-4a5b6c7d8e9f", "alertId": "0198f5c4-1a2b-7c3d-8e4f-5a6b7c8d9e0f", "expired": false, "enabled": true, "notificationConfig": { "rules": [ { "eventType": "PRICE_CHANGE", "scope": "PROPERTY", "variationPercent": [ { "gte": -5, "lte": -3 } ] } ] }, "eventDestination": "https://example.com/", "signingKey": "whsec_abc123...", "signingKeyHint": "b75b1473", "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "createdAt": "2026-01-15T10:30:00+00:00", "updatedAt": "2026-05-20T14:45:00+00:00"}